Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webrender
Class WebRenderActionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  nextapp.echo2.webrender.WebRenderActionException

All Implemented Interfaces:
  java.io.Serializable

    public class WebRenderActionException

extends java.lang.RuntimeException

A generic runtime exception to handle circumstances that should almost never happen. This class should be used to wrap checked exceptions that shouldn't be possible to occur, instead of swallowing them.

See Also:
  Serialized Form

Constructor Summary
`WebRenderActionException(java.lang.String message)` Creates a new EchoServletException with a description of its cause.
`WebRenderActionException(java.lang.String message, java.lang.Throwable cause)` Creates a new EchoServletException with a description of its cause that wraps another exception.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the wrapped exception that caused this exception to be thrown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebRenderActionException

    public WebRenderActionException(java.lang.String message)

  Creates a new EchoServletException with a description of its cause.

  Parameters:
    `message` - A message describing the exception.

### WebRenderActionException

    public WebRenderActionException(java.lang.String message,
                                    java.lang.Throwable cause)

  Creates a new EchoServletException with a description of its cause that wraps another exception.

  Parameters:
    `message` - A message describing the exception.
    `cause` - The exception which caused this exception to be thrown.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the wrapped exception that caused this exception to be thrown. If the root cause was not a wrapped exception or is this object, null is returned.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    The cause of this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD